Subject: Re: ls when acl() is busy [was: ls slow on top-level directory]
From: Larry Hall <[email-masked]>
To: Lasse <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 30 Jun 2005 14:45:16 -0400

At 02:24 PM 6/30/2005, you wrote:
>Larry Hall wrote:
>>At 04:03 PM 6/28/2005, you wrote:
>[SNIP]
>>>IMO, it should be the other way around, i.e. no error but a '+' to
>>>signify an ACL, for two reasons:
>>>
>>>1. Transperency. Since the UNIX permissions are emulated, one could
>>>argue that all files should have the '+' displayed...
>>Traditional UNIX permissions have always been represented by "drwxrwxrwx"
>>permission displays (yes, I know "s" and "t" are possible options in some
>>of the above locations).  ACLs are just different kinds of permissions that
>>don't obviously map into the traditional UNIX permissions.  UNIX permissions
>>do not imply or require the use of ACLs so using a '+' for all files would misleading.  Using '+' as you mentioned for all files displayed by Cygwin's
>>'ls' would actually make it less transparent, not more.
>
>That's not what I meant. My point was that since all files (natively)
>have ACLs, tt makes sense to assume that a locked file has an ACL.

The alternative is also safe to assume.  Either way, I don't see how having
it one way (+) versus the other ( ) makes any difference.  Do you?  

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/